1.0

1.0

get /v1/organization-invitations

Description

get organization invitation list

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
관리자 계정명
Example : 9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r
any of [string, null]None
queryaccount_name
optional
관리자 계정명
Example : CoreKim
any of [string, null]None
queryaccount_email
optional
관리자 계정 이메일
Example : admin@example.com
any of [string, null]None
querystate
optional
초대 상태
Example : INVITING
any of [enum (INVITING, REFUSED, INVITED, CANCELED, EXPIRED), null]None
querylogin_id
optional
로그인 ID
Example : log-archive@samsung.com
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKOrganizationInvitationPageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "organization_invitations": [
        {
            "account_email": "admin@example.com",
            "account_name": "CoreKim",
            "created_at": "2024-12-19 01:09:05.000",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "id": "0a36e0746dbf4908acf0357829701381",
            "login_id": "log-archive@samsung.com",
            "modified_at": "2023-10-15 14:30:00",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "state": "INVITING",
            "target_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}